Package org.kapott.hbci.comm

## Class Filter

- java.lang.Object
- - org.kapott.hbci.comm.Filter

Direct Known Subclasses:
  `FilterBase64`, `FilterNone`

    public abstract class Filter
    extends java.lang.Object

### Constructor Summary

Constructors
`Filter()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract java.lang.String` `decode​(java.lang.String st)`
`abstract byte[]` `encode​(java.lang.String st)`
`static Filter` `getInstance​(java.lang.String filter)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Filter

    public Filter()

### Method Detail

#### encode

    public abstract byte[] encode​(java.lang.String st)

#### decode

    public abstract java.lang.String decode​(java.lang.String st)

#### getInstance

    public static Filter getInstance​(java.lang.String filter)